{% extends "page.html" %}
{% from 'components.html' import paginator with context %}
{% block title %}Tags{% endblock %}
{% block content %}
    <div class="row">
        <h2 class="col-auto">Tags</h2>
        <div class="col-auto">
            <form id="tag-search-form" action="{{ url_for('web.tags') }}">
                <div class="form-group dropdown">
                    <div class="input-group">
                        <input
                            class="form-control"
                            placeholder='Search tags'
                            title="tag-search"
                            type="text"
                            name="query"
                            id="tag-search"/>
                        <div class="input-group-append">
                            <button type="submit" id="tag-search-submit" class="btn btn-primary disabled">Search
                            </button>
                        </div>
                    </div>
                    <div class="list-group" id="tag-search-output"></div>
                </div>
            </form>
        </div>
    </div>
    <div class="row justify-content-end mb-3">
        {{ paginator('web.tags', pagination) }}
    </div>
    <div class="row">
        {% for tag in tags_data %}
            <a
                href="{{ url_for('web.tag', name=tag.name) }}"
                class="border col-sm-6 col-lg-4 p-1 list-group-item list-group-item-action grid-group-item text-truncate">
                <span class="mr-0 badge badge-tag" title="{{ tag.description or '' }}">{{ tag.name }}
                </span>
                {% if user_info and tag.name not in user_info.tags | map(attribute = 'name') %}
                    <span
                        class="fas fa-user-plus icon-link add-user-tag text-muted mr-3 pr-1"
                        data-user="{{ user_info.crsid }}"
                        data-tag="{{ tag.name }}"
                        title="Add to my tags!"></span>
                {% endif %}
                <span class="badge badge-secondary" title="{{ tag.people_count }} people tagged">{{ tag.people_count }}</span>
                {% if tag.description %}
                    <small>{{ tag.description }}</small>
                {% endif %}
            </a>
        {% endfor %}
    </div>
    <div class="row justify-content-end mt-3">
        {{ paginator('web.tags', pagination) }}
    </div>
{% endblock %}